Loading...
Searching...
No Matches
sftp_name_id_map_struct Struct Reference
The libssh SFTP API

SFTP names map structure to store the mapping between ids and names. More...

`#include <sftp.h>`

## Data Fields

uint32_t | count
| Count of name-id pairs in the map.
uint32_t * | ids
| Array of ids, ids[i] mapped to names[i].
char ** | names
| Array of names, names[i] mapped to ids[i].

## Detailed Description

SFTP names map structure to store the mapping between ids and names.

This is mainly for the use of sftp_get_users_groups_by_id() function.

The documentation for this struct was generated from the following file:

- /build/libssh-pvI3ll/libssh-0.12.2/include/libssh/sftp.h